package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.UserWhitelistDTO;
import com.yx.face.model.search.UserWhitelistSearch;
import com.yx.face.model.vo.UserWhitelistVO;

import java.util.List;

/**
 * @description:
 * @ClassName UserWhitelistService
 * @Author WXG
 * @Date 2021/11/5 14:15
 */
public interface UserWhitelistService {
    /*
     * 增加常客
     * */
    Integer insert(UserWhitelistDTO userWhitelistDTO);
    /*
     * 修改常客
     * */
    Integer update(UserWhitelistDTO userWhitelistDTO);
    /*
     * 删除常客
     * */
    Integer delete(Integer id, Integer adminId);
    /*
     * 获取常客列表分页
     * */
    PageInfo<UserWhitelistVO> getPageList(RestDTO<UserWhitelistSearch> dto);

    RestResult<List<String>> uploadUserWhitelistExcel(List<Object> datas,Integer userId);

    RestResult<String> addSnIssued(Integer deviceId);

    RestResult<String> addSingle(Integer userId, Integer id);
}
